
* {
    margin: 0;
    padding: 0;
}

body {
    font-family: "Clear Sans";
    user-select: none;
}

.ui-page {
    font-size: 16px;
}

@media screen and (max-height: 600px) {
    .ui-page {
        font-size: 16px;
    }
}

@media screen and (max-height: 480px) {
    .ui-page {
        font-size: 12px;
    }
}

@media screen and (max-height: 320px) {
    .ui-page {
        font-size: 8px;
    }
}

@media screen and (max-height: 160px) {
    .ui-page {
        font-size: 4px;
    }
}

#canvas {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 10;
}

.ui-container {
    position: fixed;
    left: 0;
    top: 0;
}

.ui-title {
    position: fixed;
    top: 17%;
    left: 0;
    width: 100%;
    font-size: 5em;
    font-weight: bold;
    text-align: center;
}

.six-page-disabled {
    pointer-events: none;
}

.six-btn {
    text-align: center;
    user-select: none;
    cursor: pointer;
    opacity: 1;
    box-shadow: 0 0 .3em rgba(0, 0, 0, .4);
    transition: box-shadow linear .25s 0s, opacity linear .25s 0s;
}

.six-btn:hover {
    opacity: 0.8;
    box-shadow: 0 0 .5em rgba(0, 0, 0, .4);
}

#btn-play {
    position: fixed;
    top: 57%;
    left: 50%;
    width: 6em;
    height: 2em;
    line-height: 2em;
    font-size: 2em;
    color: white;
    background-color: #8bc34a;
    transform: translateX(-50%);
}

.ui-mode {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.ui-mode-title {
    margin-top: 2em;
    margin-bottom: 1em;
    font-size: 2em;
    font-weight: bold;
}

.ui-mode-btns {
    flex-grow: 1;
    flex-shrink: 1;
    overflow-y: auto;
}

.six-btn-mode {
    width: 12em;
    height: 2em;
    line-height: 2em;
    font-size: 1.6em;
    background-color: #03a9f4;
    color: white;
}

.six-btn-mode:not(:first-child) {
    margin-top: 1em;
}

#btn-m-back {
    margin-top: 1em;
    margin-bottom: 3em;
    width: 12em;
    height: 2em;
    line-height: 2em;
    font-size: 1.6em;
    background-color: #673ab7;
    color: white;
}

#game-btns {
    position: fixed;
    top: 1.6em;
    left: 1.6em;
    z-index: 30;
}

#game-btns i {
    margin-right: .5em;
    color: rgba(64, 64, 64, 0.55);
    cursor: pointer;
    transition: color linear .25s 0s;
}

#game-btns i:hover {
    color: rgba(64, 64, 64, 0.9);
}

.game-container:not(.playing) #btn-g-pause,
.game-container:not(.paused) #btn-g-play,
.game-container:not(.paused) #btn-g-retry,
.game-container:not(.paused):not(.ended) #btn-g-home {
    display: none;
}

#game-mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 20;
    background-color: rgba(196, 196, 196, 0.5);
    opacity: 1;
    transition: opacity linear .4s 0s;
}

#game-mask i.fa-pause {
    color: #fff;
}

.game-container:not(.paused) #game-mask {
    opacity: 0;
    pointer-events: none;
}
